resources:
  - Namespace.yaml
  - Deployment.yaml
  - Ingress.yaml
  - Secret.yaml
  - Service.yaml

configMapGenerator:
  - name: demo-pages
    namespace: demo-app
    files:
      - site/index.html
      - site/page1.html

secretGenerator:
  - name: file-based
    namespace: demo-app
    files:
      - secret-to-generate.txt
  - name: literal-based
    namespace: demo-app
    literals:
      - otherkey=othervalue

patchesStrategicMerge:
  - config_deployments.yaml
